From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/qcustomplot/
Date: Thu, 7 Mar 2024 23:24:04 +0000 (UTC) [thread overview]
Message-ID: <1709852914.e9f3955e4f9149a5d45317f81948a1b0a845a319.asturm@gentoo> (raw)
commit: e9f3955e4f9149a5d45317f81948a1b0a845a319
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 7 15:21:54 2024 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Mar 7 23:08:34 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9f3955e
dev-libs/qcustomplot: add 2.1.1
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
dev-libs/qcustomplot/Manifest | 2 ++
dev-libs/qcustomplot/qcustomplot-2.1.1.ebuild | 45 +++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-libs/qcustomplot/Manifest b/dev-libs/qcustomplot/Manifest
index b597eb03cf3a..ad63881c1367 100644
--- a/dev-libs/qcustomplot/Manifest
+++ b/dev-libs/qcustomplot/Manifest
@@ -1,2 +1,4 @@
DIST qcustomplot-sharedlib-2.0.1.tar.gz 1963 BLAKE2B 294877d929564767009a8a4409111408eda1eb4e0cc64b48e644d25f30ef18151c2df1f0c5caa4e95c5b75dd492e795f97077e47bb927ff9637a2da9a2ec757e SHA512 ce90540fca7226eac37746327e1939a9c7af38fc2595f385ed04d6d1f49560da08fb5fae15d1b9d22b6ba578583f70de8f89ef26796770d41bf599c1b15c535d
+DIST qcustomplot-sharedlib-2.1.1.tar.gz 2315 BLAKE2B 5ded041a46a35dece817749479cba83da260407e387a339c5fba57a37897118b20cd50f362e78ea4a35c9babc5f6c73c235a671a17b5b0423b00e472c0a8eb60 SHA512 c661e4a835066fee92b254fbd7b825dbd5c58973189ff2099a01308cb81fe6bf3bac1456f5da91f01c6265f8f548f61b57e237d00a9b5c2c94acf1a024baa18e
DIST qcustomplot-source-2.0.1.tar.gz 319140 BLAKE2B 868133f5126eea0aa8f80d34272f854de93b60575e3eed1b52211bec5ed96886503ba5c7f15c6f0ff15f3f67e35db6e5333adfc7465cee40768a65ed1b7275da SHA512 b44abbd8fd95970a829bbb6e7becc0765e24bd8f05958c8c1223303b68fb4c0a64f503cf0a2fe4fc53957e6e61a6618500475cff3e81ed0ab387a9eada2c83a3
+DIST qcustomplot-source-2.1.1.tar.gz 372955 BLAKE2B 985ce5fbfe2888ac2346a8c694e832f8d9e3d20ae1c2f93af8757f6a7c803e24ae429c11240aeaf9e79625d8eb0e8a835dca023b73eac4ca1338d21434bd3c67 SHA512 1feb4f45ef90d7709edb26c9964f0ec85ef4aa30f0a7e9fcd803fae586875e8d6744dbcfe08b21f461816ca426c8a6612f8e9c7ef9d3f5a7150c3de8fa5ee57d
diff --git a/dev-libs/qcustomplot/qcustomplot-2.1.1.ebuild b/dev-libs/qcustomplot/qcustomplot-2.1.1.ebuild
new file mode 100644
index 000000000000..2aaa20581c29
--- /dev/null
+++ b/dev-libs/qcustomplot/qcustomplot-2.1.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils
+
+DESCRIPTION="Qt C++ widget for plotting and data visualization"
+HOMEPAGE="https://www.qcustomplot.com/"
+SRC_URI="
+ https://www.qcustomplot.com/release/${PV}/QCustomPlot-sharedlib.tar.gz -> ${PN}-sharedlib-${PV}.tar.gz
+ https://www.qcustomplot.com/release/${PV}/QCustomPlot-source.tar.gz -> ${PN}-source-${PV}.tar.gz"
+S=${WORKDIR}/${PN}-source
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ sed \
+ -e 's:../../::g' \
+ -e '/CONFIG/s:shared.*:shared:g' \
+ "${WORKDIR}"/${PN}-sharedlib/sharedlib-compilation/sharedlib-compilation.pro > ${PN}.pro || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ dolib.so lib${PN}*
+ doheader ${PN}.h
+ dodoc changelog.txt
+}
next reply other threads:[~2024-03-07 23:24 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-07 23:24 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-26 1:06 [gentoo-commits] repo/gentoo:master commit in: dev-libs/qcustomplot/ Sam James
2025-04-26 0:40 Sam James
2024-04-20 11:56 Andreas Sturmlechner
2024-03-29 2:04 Sam James
2024-03-29 2:04 Sam James
2020-06-04 8:51 Andreas Sturmlechner
2020-05-29 7:39 Agostino Sarubbo
2019-03-31 11:14 Michael Palimaka
2018-11-17 8:38 Michael Palimaka
2018-04-11 23:25 Andreas Sturmlechner
2018-04-11 20:43 Thomas Deutschmann
2018-04-06 15:58 Aaron Bauman
2017-11-15 6:00 Davide Pesavento
2017-09-23 2:27 Michael Palimaka
2016-02-26 17:18 Markus Meier
2016-02-19 13:47 Michael Palimaka
2016-01-15 19:02 Michael Palimaka
2016-01-15 19:02 Michael Palimaka
2015-12-15 18:34 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1709852914.e9f3955e4f9149a5d45317f81948a1b0a845a319.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox